# Cinder

# cinder::app::AppImplMswRendererGdi Class Reference

`#include <AppImplMswRendererGdi.h>`

Inherits cinder::app::AppImplMswRenderer.

List of all members.

## Public Member Functions
| AppImplMswRendererGdi (App *aApp, bool doubleBuffer)
virtual bool | initialize (HWND wnd, HDC dc)
virtual void | kill ()
virtual void | defaultResize () const
virtual void | swapBuffers () const
virtual void | makeCurrentContext ()
virtual HDC | getDc () const
Surface8u | copyWindowContents (const Area &area)
virtual void | prepareToggleFullScreen ()
virtual void | finishToggleFullScreen ()
## Protected Attributes
::HDC | mPaintDc
::PAINTSTRUCT | mPaintStruct
bool | mDoubleBuffer
::HDC | mDoubleBufferDc
::HBITMAP | mDoubleBufferBitmap
::HBITMAP | mDoubleBufferOldBitmap
Vec2i | mDoubleBufferBitmapSize
HWND | mWnd
App * | mApp

## Constructor & Destructor Documentation

cinder::app::AppImplMswRendererGdi::AppImplMswRendererGdi | ( | App * | aApp,
|  | bool | doubleBuffer |
| ) |  |  |

## Member Function Documentation

bool cinder::app::AppImplMswRendererGdi::initialize | ( | HWND | wnd,
|  | HDC | dc |
| ) |  |  | `[virtual]`

Implements cinder::app::AppImplMswRenderer.

virtual void cinder::app::AppImplMswRendererGdi::kill | ( |  | ) | `[virtual]`

Implements cinder::app::AppImplMswRenderer.

void cinder::app::AppImplMswRendererGdi::defaultResize | ( |  | ) | const`[virtual]`

Implements cinder::app::AppImplMswRenderer.

void cinder::app::AppImplMswRendererGdi::swapBuffers | ( |  | ) | const`[virtual]`

Implements cinder::app::AppImplMswRenderer.

void cinder::app::AppImplMswRendererGdi::makeCurrentContext | ( |  | ) | `[virtual]`

Implements cinder::app::AppImplMswRenderer.

virtual HDC cinder::app::AppImplMswRendererGdi::getDc | ( |  | ) | const`[virtual]`

Surface8u cinder::app::AppImplMswRendererGdi::copyWindowContents | ( | const Area & | area | ) |

virtual void cinder::app::AppImplMswRenderer::prepareToggleFullScreen | ( |  | ) | `[virtual, inherited]`

Reimplemented in cinder::app::AppImplMswRendererGl.

virtual void cinder::app::AppImplMswRenderer::finishToggleFullScreen | ( |  | ) | `[virtual, inherited]`

Reimplemented in cinder::app::AppImplMswRendererGl.

## Member Data Documentation

::HDC cinder::app::AppImplMswRendererGdi::mPaintDc`[protected]`

::PAINTSTRUCT cinder::app::AppImplMswRendererGdi::mPaintStruct`[protected]`

bool cinder::app::AppImplMswRendererGdi::mDoubleBuffer`[protected]`

::HDC cinder::app::AppImplMswRendererGdi::mDoubleBufferDc`[protected]`

::HBITMAP cinder::app::AppImplMswRendererGdi::mDoubleBufferBitmap`[protected]`

::HBITMAP cinder::app::AppImplMswRendererGdi::mDoubleBufferOldBitmap`[protected]`

Vec2i cinder::app::AppImplMswRendererGdi::mDoubleBufferBitmapSize`[protected]`

HWND cinder::app::AppImplMswRenderer::mWnd`[protected, inherited]`

App* cinder::app::AppImplMswRenderer::mApp`[protected, inherited]`

The documentation for this class was generated from the following files:

- include/cinder/app/AppImplMswRendererGdi.h
- src/cinder/app/AppImplMswRendererGdi.cpp